Erlo

vue的采坑之旅--vue-cli脚手架loader重复--Invalid CSS after "...load the styles": expected 1 selector or at-rule

时间:2019-02-12 10:02   阅读:237次   来源:博客园页面报错

点赞

在使用scss是可能会添加loader,例如

  {
    test: /.scss$/,
    use: ['style-loader', 'css-loader', 'sass-loader'],
  }

然而当使用vue-cli脚手架创建项目时,可能出现如下错误:

Invalid CSS after "...load the styles": expected 1 selector or at-rule, was "var content = requi"
in G:......................srccomponentscommoncssreset.scss (line 1, column 1)

这是loader重复导致的,在build/utils.js中的exports.cssLoaders中已经返回相关loader了,

  // 这两行:
  sass: generateLoaders('sass', { indentedSyntax: true }),
  scss: generateLoaders('sass'),
  

解决方案很简单:

就是自己不要加样式相关的loader了;
或者自己添加样式的loader但要注释掉这两行,当然如果你用的是less就注释掉对应的行就可以了。

下一篇:Easyui 实现点击不同树节点打开不同tab页展示不同...

评论留言

还没有评论留言,赶紧来抢楼吧~~

Erlo大厅()

* 这里是“吐槽厅”,所有人可看,只保留当天信息。

  • Erlo.vip2019-08-21 05:32:55Hello、欢迎使用吐槽厅,这里是个吐槽的地方。
  • 首页 笔记分享 案例展示 ERLO 搜索
    鼠标试试
    返回顶部